ID: 22856
Comment by: julik at mac dot com
Reported By: mv24 at canada dot com
Status: Bogus
Bug Type: Compile Failure
Operating System: Linux
PHP Version: 4.3.1
New Comment:

I was building PHP with zlib and a bunch of other
modules on RedHat 8.0 and encountered the same problem.
It happens when you build once, and then try to build
again running
../configure
make

with any subset of modules if it includes zlib

I was examining the problem and it solved after
removing all cached linker files with

make clean
../configure
make

Hope this helps


Previous Comments:
------------------------------------------------------------------------

[2003-04-09 16:54:12] [email]sniperphp.net[/email]

can not reprocude, not enough info, etc.


------------------------------------------------------------------------

[2003-04-09 12:03:27] mv24 at canada dot com

Still receive the error during "make install":

[rootsmarty php4-STABLE]# make install
Installing PHP CLI binary: /usr/local/bin/
Installing PHP CLI man page: /usr/local/man/man1/
Installing PHP SAPI module
Installing shared extensions:
/usr/local/lib/php/extensions/no-debug-non-zts-20020429/
Installing PEAR environment: /usr/local/lib/php/
make[1]: *** [install-pear-installer] Segmentation fault (core dumped)
make: *** [install-pear] Error 2

------------------------------------------------------------------------

[2003-04-07 18:43:06] [email]sniperphp.net[/email]

No feedback was provided. The bug is being suspended because
we assume that you are no longer experiencing the problem.
If this is not the case and you are able to provide the
information that was requested earlier, please do so and
change the status of the bug back to "Open". Thank you.



------------------------------------------------------------------------

[2003-04-02 10:42:34] [email]sniperphp.net[/email]

Please try using this CVS snapshot:

[url]http://snaps.php.net/php4-STABLE-latest.tar.gz[/url]

For Windows:

[url]http://snaps.php.net/win32/php4-win32-STABLE-latest.zip[/url]



------------------------------------------------------------------------

[2003-03-27 05:05:09] mv24 at canada dot com

After I upgraded gcc (2.96) to version 3.2;
changed PHP configure options as follows:
../configure \
--with-apache=/usr/local/apache_1.3.27 \
--with-config-file-path=/usr/local/apache/conf \
--with-mysql=/usr/local/mysql \
--with-zlib \
--enable-track-vars \
--enable-trans-sid \
--enable-bcmath \
--with-pdflib \
--enable-static-pdflib \
--with-gd \
--enable-gd-imgstrttf \
--with-tiff-dir=/usr/local/tiff--enable-gd-native-ttf \
--with-freetype-dir=/usr/local/include/freetype2 \
--with-jpeg-dir=/usr/local/jpeg-6b \
--with-png-dir=/usr/local/libpng

it allowed me to procead with make and install the latest PHP-STABLE
with Apache.

However PHP configure option --with-curl gives multiple warnings on PHP
"make":
--------------------------------------------------------
/usr/bin/ld: warning: libdl.so.1, needed by /usr/local/
lib/libcurl.so, may conflict with libdl.so.2
/usr/bin/ld: warning: libc.so.5, needed by /lib/libdl.s
o.1, may conflict with libc.so.6
/usr/lib/libc5-compat/libc.so.5: the `getwd' function i
s dangerous and should not be used.
/usr/lib/libc5-compat/libc.so.5: the `gets' function is
dangerous and should not be used.
/usr/lib/libc5-compat/libc.so.5: the use of `tempnam' i
s dangerous, better use `mkstemp'
/usr/lib/libc5-compat/libc.so.5: the use of `tmpnam' is
dangerous, better use `mkstemp'
/usr/lib/libc5-compat/libc.so.5: the use of `mktemp' is
dangerous, better use `mkstemp'
/usr/lib/libc5-compat/libc.so.5: the `getpw' function i
s dangerous and should not be used.
/usr/lib/libc5-compat/libc.so.5: warning: `siggetmask'
is obsolete; `sigprocmask' is best
/usr/lib/libc5-compat/libc.so.5: the `llseek' function
may be dangerous; use `lseek64' instead.
------------------------------------------------------------

PHP "make install" ends in error:
---------------------------------------------------------
Installing PEAR environment: /usr/local/lib/php/
make[1]: *** [install-pear-installer] Segmentation fault (core dumped)
make: *** [install-pear] Error 2
----------------------------------------------------------

------------------------------------------------------------------------

The remainder of the comments for this report are too long. To view
the rest of the comments, please view the bug report online at
[url]http://bugs.php.net/22856[/url]

--
Edit this bug report at [url]http://bugs.php.net/?id=22856&edit=1[/url]